Description

If you make a commit to subversion then update your Redmine 'Repository' view (either by clicking it with autofetch enabled, or

running something like

/usr/bin/ruby /home/redmine072/script/runner "Repository.fetch_changesets" -e production

And then subsequently edit the log message for the commit using something like tortoisesvn's edit log message functionality, the

updated log message is not detected by Redmine, even after re-running the "Repository.fetch_changesets" script.

In Defect #1577 (http://www.redmine.org/issues/1577#note-4) were written: "Feel free to fill a feature request related to that issue if

needed.". I need in this feature

Related issues:

Related to Redmine - Defect #1577: Editing subversion log message does not up... Closed 2008-07-04

History

#1 - 2009-06-24 14:41 - Seth Dziengeleski

I've noticed this behavior as well and think this would be a useful feature.

#2 - 2009-07-30 03:53 - Giovani Vizzotto

I'm having the same problem. I think this is a very useful feature.

In http://www.redmine.org/issues/1577#note-2 were written:

On projects with tens of thousands of revisions, this sounds rather natural not to parse them all because some bits in the log messages may

have changed. >If you want to reparse it all, kill it then add it again.

It has been discussed in a previous issue to have a "re-evaluate" facility for automating this process, but I don't know if it eventually lead to an >

implementation or not.

 There is some way to mannualy kill a revision and add it again ?

#3 - 2009-08-31 19:56 - Wayne j

Just this week someone (me) entered the wrong issue number is a check-in comment. I did some Googling and found something that seems to work.

I don't know if it safe. Here's a link to the discussion:

http://www.redmine.org/issues/1273

#4 - 2009-09-27 04:12 - Anonymous

We had the same problem. One of my users forgot to enter the issue number in the comment and since it was already fetched into the database it

wasn't detected by redmine after an edit of the log message. So I created a plugin to clear the database from already fetched log messages and

recreate them.

You are welcome to check it out...

I'm new to ruby/rails so please try it on a secondary database, I give no guarantees that it doesn't affect anything else. The plugin is available at 

http://nida.nordenbro.com/redmine/projects/redmine-plrlp/files

Please post enhancements and problems to my tracker (same url).

#5 - 2011-03-29 07:32 - Toshi MARUYAMA

- Status changed from New to Closed
- Resolution set to Duplicate

Duplicate with #1273.
